/postings
List individual postings that match a set of filters.
POST /postings
POST /postingsGet data for individual postings that match your requested filters. Note that not all fields are present for all postings, and some may be null or "Unknown". The url field is only available for currently active postings, and the destination website is not guaranteed to be secure or functional.
Note that the score field is based on posting relevance to your query. Many fields have a single value per posting so relevance scores will be the same for all postings that match those filters. Score variance occurs when a filter is provided that can match a subset of the values in a particular field, filters such as certifications and skills provide such functionality. Only the first 200 values per filter will be used for relevance scoring.
To request more postings please contact us here.
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Default: Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
area_version | enum | Specify area taxonomy version to use. Must be one of: |
area_laa_version | enum | Specify LAA area taxonomy version to use. Must be one of: |
Request Body
{
"filter": {
"when": {
"start": "2019-01",
"end": "2020-04",
"type": "active"
}
},
"fields": [
"id",
"posted",
"expired",
"body",
"city_name",
"company_name",
"title_raw",
"score"
],
"order": [
"score"
],
"limit": 2
}Code Examples
curl --request POST \
--url https://api.lightcast.io/global-postings/postings \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "when": { "start": "2019-01", "end": "2020-04", "type": "active" } }, "fields": [ "id", "posted", "expired", "body", "city_name", "company_name", "title_raw", "score" ], "order": [ "score" ], "limit": 2 }'Response Examples
{
"data": {
"limit": 2,
"page": 1,
"pages_available": 5,
"postings": [
{
"body": "<!--id: 2d84d38afa26df51799f1963125fa4-->Workplace Engineer (m/w/d)",
"city_name": "[Unknown City], ",
"company_name": "Tennet Tso Gmbh",
"expired": null,
"id": "2d84d38afa26df51799f1963125fa4",
"posted": "2024-07-12",
"score": 1,
"title_raw": "Workplace Engineer (m/w/d)"
},
{
"body": "<!--id: 466189d1440003b478a508a067a0e5-->Order to Invoice Specialist (OTI) with Polish & English (Warsaw)",
"city_name": "Warsaw, Warszawa",
"company_name": "Diebold Nixdorf",
"expired": null,
"id": "466189d1440003b478a508a067a0e5",
"posted": "2024-07-30",
"score": 1,
"title_raw": "Order to Invoice Specialist (OTI) with Polish & English (Warsaw)"
}
],
"unique_postings": 6795,
"viewable_postings": 6795
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// Your request wasn't unauthorized.
{
"errors": [
{
"status": 401,
"title": "Unauthorized Request",
"detail": "You are not authorized to access this resource."
}
]
}// Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}GET /postings/{postingId}
GET /postings/{postingId}Get a single posting by its id.
URL Parameters
| Name | Type | Description |
|---|---|---|
postingId | string | Job posting id. Example: |
Query Parameters
| Name | Type | Description |
|---|---|---|
new_taxonomy_versions | enum | Use new taxonomy versions. Default: Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Default: |
area_version | enum | Specify area taxonomy version to use. Default: l Must be one of: |
area_laa_version | enum | Specify LAA area taxonomy version to use. Default: Must be one of: |
Code Examples
curl --request GET \
--url https://api.lightcast.io/global-postings/postings/51813774 \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"active_sources_info": [
{
"source": "source",
"type": "Company",
"url": "https://some.website/path"
}
],
"active_urls": [
"https://some.website/path"
],
"body": "<!--id: 2d84d38afa26df51799f1963125f-->Workplace Engineer (m/w/d)",
"city": "W1Vua25vd24gQ2l0eV0sIA==",
"city_name": "[Unknown City], ",
"company": "99487887",
"company_is_staffing": false,
"company_name": "Tennet Tso Gmbh",
"duplicates": 0,
"duration": null,
"employment_type": 1,
"employment_type_name": "Full-time (> 32 hours)",
"expired": null,
"id": "2d84d38afa26df51799f1963125f",
"is_internship": false,
"isced": [
99
],
"isced_name": [
"No education listed"
],
"isco_1": "2",
"isco_1_name": "Professionals",
"isco_2": "25",
"isco_2_name": "Information and Communications Technology Professionals",
"isco_3": "252",
"isco_3_name": "Database and Network Professionals",
"isco_4": "2523",
"isco_4_name": "Computer Network Professionals",
"language": "de",
"language_name": null,
"location": {
"lat": 0,
"lon": 0
},
"lot_career_area": "23",
"lot_career_area_name": "Information Technology and Computer Science",
"lot_occupation": "231512",
"lot_occupation_group": "2315",
"lot_occupation_group_name": "Network and Systems Engineering",
"lot_occupation_name": "Network Engineer / Architect",
"lot_specialized_occupation": "23151210",
"lot_specialized_occupation_name": "Automation Engineer",
"max_salary": null,
"max_years_experience": null,
"min_salary": null,
"min_years_experience": null,
"nace_1": "J",
"nace_1_name": "INFORMATION AND COMMUNICATION",
"nace_2": null,
"nace_2_name": null,
"posted": "2024-07-12",
"salary": null,
"score": 1,
"skills": [
"ES441CB6D8154FF10110",
"KS122P378DGNVX4NKQKN",
"KS124BK6VD8Y1F11PD2Q"
],
"skills_name": [
"Azure Active Directory",
"Data Governance",
"German Language"
],
"sources": [
"tennet.eu"
],
"title": "ET0000000000000000",
"title_name": "Unclassified",
"title_raw": "Workplace Engineer (m/w/d)",
"url": [
"https://some.website/path"
]
}
}// Your request wasn't unauthorized.
{
"errors": [
{
"status": 401,
"title": "Unauthorized Request",
"detail": "You are not authorized to access this resource."
}
]
}// The facet you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "URL not found",
"detail": "Unrecognized facet 'foo'"
}
]
}
